at.chipkarte.client.das.soap

## Class IEKOEconomicGrouping

- Object
- - at.chipkarte.client.das.soap.IEKOEconomicGrouping

-     public class IEKOEconomicGrouping
      extends Object

  Enthält das Ergebnis der Funktion `retrieveIEKOEconomicGrouping`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IEKOEconomicGrouping()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IEKOIngredientReference` | `getIdentIngredient()` Der für den Vergleich herangezogene "gleiche" Wirkstoff (Hauptwirkstoff der Arzneispezialität).
    `IEKOComparison[]` | `getIEKOComparison()` Die Vergleichsdaten (Arzneispezialitäten und deren Ranking im Vergleich).
    `String` | `getMedicamentName()` Der Name der Arzneispezialität zu der der Vergleich durchgeführt wird.
    `String` | `getPharmaNumber()` Die Pharmanummer der Arzneispezialität zu der der Vergleich durchgeführt wird.
    `IEKOIngredientReference` | `getSimilarIngredient()` Der für den Vergleich herangezogene "vergleichbare" Wirkstoff, ATC-Levelübergruppe des "gleichen" Wirkstoffes.
    `void` | `setIdentIngredient(IEKOIngredientReference identIngredient)`
    `void` | `setIEKOComparison(IEKOComparison[] iEKOComparison)`
    `void` | `setMedicamentName(String medicamentName)`
    `void` | `setPharmaNumber(String pharmaNumber)`
    `void` | `setSimilarIngredient(IEKOIngredientReference similarIngredient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IEKOEconomicGrouping

          public IEKOEconomicGrouping()

  - ### Method Detail

    - #### getPharmaNumber

          public String getPharmaNumber()

      Die Pharmanummer der Arzneispezialität zu der der Vergleich durchgeführt wird. Format: numerisch, 7-stellig.
      Returns:
        Pharmanummer

    - #### getMedicamentName

          public String getMedicamentName()

      Der Name der Arzneispezialität zu der der Vergleich durchgeführt wird. Format: max 100-stellig.
      Returns:
        MedicamentName

    - #### getIdentIngredient

          public IEKOIngredientReference getIdentIngredient()

      Der für den Vergleich herangezogene "gleiche" Wirkstoff (Hauptwirkstoff der Arzneispezialität).
      Returns:
        IEKOIngredientReference

    - #### getSimilarIngredient

          public IEKOIngredientReference getSimilarIngredient()

      Der für den Vergleich herangezogene "vergleichbare" Wirkstoff, ATC-Levelübergruppe des "gleichen" Wirkstoffes.
      Returns:
        IEKOIngredientReference

    - #### getIEKOComparison

          public IEKOComparison[] getIEKOComparison()

      Die Vergleichsdaten (Arzneispezialitäten und deren Ranking im Vergleich).
      Returns:
        IEKOComparison[]

    - #### setPharmaNumber

          public void setPharmaNumber(String pharmaNumber)

    - #### setMedicamentName

          public void setMedicamentName(String medicamentName)

    - #### setIdentIngredient

          public void setIdentIngredient(IEKOIngredientReference identIngredient)

    - #### setSimilarIngredient

          public void setSimilarIngredient(IEKOIngredientReference similarIngredient)

    - #### setIEKOComparison

          public void setIEKOComparison(IEKOComparison[] iEKOComparison)